Register Today for Next Week's Webinar: Choosing the Right SKAd Conversion Model Register for Today's Livestream (1pm PST): Choosing the Right SKAd Conversion Model

Choose the Right Kochava SDK for Your iOS 14 Strategy

By February 18, 2021Blog

Important considerations regarding App Clips, SKAdNetwork, and AppTrackingTransparency (ATT) framework

Late last month, Apple announced that the enforcement of the AppTrackingTransparency (ATT) framework will take effect sometime this spring in conjunction with their iOS 14.5 update. As your team plans final dev sprints leading into spring, here’s what you should know about the software development kits (SDKs) available from Kochava for iOS 14. 

iOS SDK 4.0.0 supports the ATT framework by capturing user ATT status to determine how collected user and device data is utilized for any attribution and/or targeting. SDK version 4.1.1 adds complete support for SKAdNetwork and App Clips. Lastly, the newest iOS SDK, version 4.3.0, provides further optionality and client-side data collection controls in conjunction with a user’s ATT opt-in status. 

Which SDK version is right for you?

Each version of the Kochava iOS SDK (4.0.0, 4.1.1, 4.3.0) offers different levels of configurability and functionality. Read on to learn what each SDK version includes to determine what version will work best for you.

iOS SDK version 4.0.0

Version component: 

Minimum version for passing ATT status

Wrapper Versions

  • Xamarin 3.1.1
  • Unity 4.2.1
  • Cordova 2.6.0
  • Adobe AIR 2.6.0
  • Flutter 1.1.1
  • ReactNative 1.4.0

The Kochava iOS SDK 4.0.0 is built to handle the collection of a user’s ATT opt-in status. This version collects user and device data along with ATT status and links the information back to the advertiser’s company. For users that opt out, user and device data will be collected by the SDK but only used for attribution of owned media and cross-promotional efforts by the advertiser.

iOS SDK version 4.1.1

Version component:

Minimum version for full SKAdNetwork and App Clips support

Wrapper Versions

  • Xamarin 3.1.1
  • Unity 4.2.1
  • Cordova 2.6.0
  • Adobe AIR 2.6.0
  • Flutter 1.1.1
  • ReactNative 1.4.0

Consider version 4.1.1 if you plan to run with SKAdNetwork. Utilizing the SKAdNetwork along with a mobile measurement provider (MMP) like Kochava will provide the most holistic attribution insights in a single dashboard. This version also adds support for Apple’s App Clips, which are highly recommended to help streamline user acquisition flows.

iOS SDK version 4.3.0

Version component:

Minimum version for ATT-based conditional SDK data collection

Wrapper Versions

  • Adobe AIR 2.6.1
  • Cordova 2.6.1
  • Flutter 1.1.2
  • ReactNative 1.4.1
  • Unity 4.2.2
  • Xamarin 3.1.2

Version 4.3.0 adds additional configurability around ATT by enabling advertisers and developers to dictate what data the SDK does or does not collect client-side when the user opts-out through ATT. Whereas versions 4.0.0 and 4.1.1 still collect user and device data and enforce data use restrictions, 4.3.0 allows for the complete blocking of data collection at the source. This is recommended for brands that want to take a very conservative approach to ATT.

Privacy profiles

To handle ATT configurability settings, privacy profiles have been added within the Kochava dashboard. These profiles are a way to communicate to Kochava which data points the SDK will collect and what attribution channels to allow for ATT opt-out users. Within the privacy profiles, a few settings will be available as templates while other options will be customizable such as collections status and attribution channel.

Make a plan: ensure proper iOS SDK integration

Whether you choose to stick with version 4.0.0, version 4.1.1, or integrate the latest SDK, version 4.3.0, have a plan in place to ensure proper adoption and functionality before ATT enforcement. Keep in mind, the newest iOS SDK (4.3.0) is not a required update; however, if you are looking to implement rules that tell the SDK not to send certain user/device data points off the device, this version is recommended.

For questions or more information, visit https://www.kochava.com/download-the-sdk/ or contact: support@kochava.com